Subject: Re: [Rfced-future] Marking TCP/UDP Port 109 as "Historic"

From: Larry Masinter <[email-masked]>
Date: Thu, 7 May 2020 14:18:57 -0700

Consider some IANA registries as needing "editorial" updates.

What would be useful would be a (moderated) archive of metadata and comments on IANA entries. 
 
If there were any IETF "Living Standards" then some IANA registries today might turn into one, and under the purview of the (new) RFC Editor.
If not, we could still ask that IANA registries were more readily updatable, especially those in application space such as media types and url schemes.

 -----Original Message-----
> From: ietf <[email-masked]> On Behalf Of Joseph Touch
> Sent: Thursday, May 7, 2020 11:36 AM
> To: Adam Roach <[email-masked]>
> Cc: John Levine <[email-masked]>; [email-masked]; moore@network-
> heretics.com
> Subject: Re: Marking TCP/UDP Port 109 as "Historic"
> 
> Again, ports are not deprecated. They’re deassigned (at most) but wouldn’t
> be reused until we run out anyway.
> 
> Ports do have informal notes; there’s nothing bad (or worthwhile either,
> IMO) about updating those notes. It’s fine to add and easy enough if
> someone wants to waste their time.
> 
> However, that should not imply also transferring ownership to the IETF.
> That’s a separate step that IMO should be handled on a case-by-case basis
> as needed. We should entertain a process change in bulk ONLY after the
> IETF *demonstrates* that the load of per-case changes is too high.
> 
> Right now, the load of considering the change is itself too high, IMO.
> 
> Joe
> 
> 
> > On May 7, 2020, at 11:31 AM, Adam Roach <[email-masked]> wrote:
> >
> > On 5/7/2020 12:35 PM, John Levine wrote:
> >> For once I agree with Keith.  If the IESG wants to deprecate ports
> >> assigned to dead protocols, that's fine, but it should do them as a
> >> group, not via Consensus Water Torture.
> >
> >
> > I think this is the right way to think about it. We should get consensus on a
> policy rather than discussing each and every port individually. "Ports
> assigned to historic protocols will be marked historic without requiring
> additional community consultation" seems like a good policy to me.
> >
> > It's worth noting that there has already been some groundwork done here;
> and although community feedback indicates a need for changes to its
> contents, draft-kuehlewind-system-ports seems like a good place to add this
> general policy (along with the other changes that community feedback has
> indicated). It's also worth noting that this document does exactly what John
> proposes: it proposes to mark a group of ports (including 109) as Historic.
> >
> > /a
> >